Junos
Highlighted
Junos

J-Web install fails on EX3400 VC (18.2R3-S5, jweb-ex-app-x86-32-18.2A1.tgz)

3 weeks ago

Hi!

I tried to install jweb-ex-app-x86-32-18.2A1.tgz on an EX3400 running 18.2R3-S5. The EX3400 is an ARM platform (or am I stupid?), but the download page still gave me the x86 version of J-Web App. I can't seem to get hold of the J-Web app for ARM for this release (or any release now that I browsed through them). I noted that the J-Web for 20.2 is a "common" file, supposedly for both x86 and ARM, but I guess I need to use the j-Web App for the same release as the Junos on the switch.

My goal is to get the full J-Web app functionality in EX3400 VC with 18.2R3-S5 (or 18.2R3-S4 which is the recommended release as of now). Can someone help?

 

Best regards,

/Fredrik

 

sh ver:

Model: ex3400-24p
Junos: 18.2R3-S5.3
JUNOS OS Kernel 32-bit [20200601.4ea4791_builder_stable_11]
...

JUNOS Web Management Platform Package [20200624.201250_builder_junos_182_r3_s5]

 

6 REPLIES 6
Highlighted
Junos

Re: J-Web install fails on EX3400 VC (18.2R3-S5, jweb-ex-app-x86-32-18.2A1.tgz)

3 weeks ago

Just for your Information, I tried the jweb-ex-app-18.2A1-signed.tgz package as well without luck:

 

request system software add /var/home/me/jweb-ex-app-18.2A1-signed.tgz

Checking pending install on fpc2

Checking pending install on fpc1
Pushing bundle /var/tmp/mchassis-install.tgz to fpc2

fpc2:
THIS IS A SIGNED PACKAGE
ERROR: /usr/libexec/ui/downgrade: a legacy Junos installation package is required...

 

Highlighted
Junos

Re: J-Web install fails on EX3400 VC (18.2R3-S5, jweb-ex-app-x86-32-18.2A1.tgz)

3 weeks ago

Hello,

 

As a workaround, have you tried updating jweb from the j-web interface directly? 

 

What version of j-web are you running? (You can get this from the Help > About).

Highlighted
Junos

Re: J-Web install fails on EX3400 VC (18.2R3-S5, jweb-ex-app-x86-32-18.2A1.tgz)

[ Edited ]
3 weeks ago

Hi!

 

The running version is this:

 

JUNOS Web Management Platform Package [20200624.201250_builder_junos_182_r3_s5]

 

The switch doesn't have direct Internet access so I need to use files downloaded to a remote control PC. I have tried to apply both packages via the web GUI and "request system software add", but no luck...

 

/Fredrik

Edit: In the list compatibility matrix, it says:

Junos OS Release 18.2R1    Associated J-Web Application Package Release 18.2A1

 

Junos OS Release 18.2R3 is not mentioned, but surely it works with the 18.2A1 J-Web package? The same is true for most (all?) releases.

Is the problem that I run a service release?

Highlighted
Junos

Re: J-Web install fails on EX3400 VC (18.2R3-S5, jweb-ex-app-x86-32-18.2A1.tgz)

3 weeks ago

Hi fb35523,

 

Have you checked the below links:

 

https://www.juniper.net/documentation/en_US/junos/topics/task/installation/j-web-software-install.ht...

 

https://www.juniper.net/documentation/en_US/release-independent/junos/topics/task/troubleshooting/ex...

 

Also, I found an old discussion that could help you:

https://takab-cng.ir/?exampass=t5/Management/Installing-jweb-fails-on-ex3400-VC/td-p/305918#:~:text=Re%3...

 

These should answer all your queries.

 

Hope this helps :slightly_smiling_face:

 

Please mark "Accepted Solution" if this helps you solve your queries. Kudos are always appreciated.

Highlighted
Junos

Re: J-Web install fails on EX3400 VC (18.2R3-S5, jweb-ex-app-x86-32-18.2A1.tgz)

3 weeks ago

Thanks for the suggestions! Yes, I have looked at those ones (except the first that seems to be more about SRX and J-Web). Unfortunately, they don't seem to answer my questions. The bottom line is that the tgz file I get from the download page isn't the correct one or at least it won't install from the CLI nor from the GUI. Contrary to the SRX link, the EX series has the J-Web Platform software (base functions) installed with the OS and the J-Web Application can be added if you like (for more functionality).

Highlighted
Junos

Re: J-Web install fails on EX3400 VC (18.2R3-S5, jweb-ex-app-x86-32-18.2A1.tgz)

[ Edited ]
2 weeks ago

18.2R3-S4 works but 18.2R3-S5 doesn't. Let's see what the TAC says.

Feedback